SimpleDialog subclass:#SelectionBrowser
	instanceVariableNames:'title'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Advanced-Tools'
!

SelectionBrowser class instanceVariableNames:'lastSelection'

"
 The following class instance variables are inherited by this class:

	SimpleDialog - 
	ApplicationModel - ClassResources
	Model - 
	Object - 
"
!


!SelectionBrowser class methodsFor:'accessing'!

label

    |label|
    label := ''.
    self name do:
    [:c|
        c isUppercase ifTrue: [label := label, $ ].
        label := label, c
    ].
    ^label trimBlanks

!

lastSelection

    ^lastSelection
!

lastSelection: aString

    lastSelection := aString
! !

!SelectionBrowser methodsFor:'initialization'!

postBuildWith:aBuilder

    self setLabel.
    ^super postBuildWith:aBuilder

!

setLabel

    builder window label: title ? self class label

! !

!SelectionBrowser class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
